Refresh the access token using a refresh token
curl --request POST \
--url https://aquila.attaxr.com/api/auth/refresh-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"providerId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({providerId: '<string>'})
};
fetch('https://aquila.attaxr.com/api/auth/refresh-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/refresh-token"
payload = { "providerId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"tokenType": "<string>",
"idToken": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"accessTokenExpiresAt": "2023-11-07T05:31:56Z",
"refreshTokenExpiresAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Auth
Refresh the access token using a refresh token
Refresh the access token using a refresh token
POST
/
api
/
auth
/
refresh-token
Refresh the access token using a refresh token
curl --request POST \
--url https://aquila.attaxr.com/api/auth/refresh-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"providerId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({providerId: '<string>'})
};
fetch('https://aquila.attaxr.com/api/auth/refresh-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/refresh-token"
payload = { "providerId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"tokenType": "<string>",
"idToken": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"accessTokenExpiresAt": "2023-11-07T05:31:56Z",
"refreshTokenExpiresAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Personal API key sent as a bearer token.
Body
application/json

